## org.apache.fop.extensions
Class Outline

    java.lang.Object
      |
      +--org.apache.fop.fo.FONode
            |
            +--org.apache.fop.fo.FObj
                  |
                  +--org.apache.fop.extensions.ExtensionObj
                        |
                        +--org.apache.fop.extensions.Outline

public class Outline
extends ExtensionObj

Inner Class Summary
`static class` `Outline.Maker`

Inner classes inherited from class org.apache.fop.fo.FObj
`FObj.Maker`

Fields inherited from class org.apache.fop.fo.FObj
`name, properties`

Fields inherited from class org.apache.fop.fo.FONode
`bodyIndent, BREAK_AFTER, children, distanceBetweenStarts, forcedStartOffset, forcedWidth, isInLabel, isInListBody, isInTableCell, labelSeparation, linkSet, marker, orphans, parent, START, widows`

Constructor Summary
`Outline(FObj parent, PropertyList propertyList)`

Method Summary
`protected void` `addChild(FONode obj)`
`java.lang.String` `getInternalDestination()`
`Label` `getLabel()`
`java.util.Vector` `getOutlines()`
`Outline` `getParentOutline()`
`java.lang.Object` `getRendererObject()`
`static FObj.Maker` `maker()`
`void` `setRendererObject(java.lang.Object o)`

Methods inherited from class org.apache.fop.extensions.ExtensionObj
`format, layout`

Methods inherited from class org.apache.fop.fo.FObj
`addCharacters, end, generatesReferenceAreas, getContentWidth, getName, getProperty, removeID, start`

Methods inherited from class org.apache.fop.fo.FONode
`forceStartOffset, forceWidth, getLinkSet, getMarkerSnapshot, getParent, removeAreas, resetMarker, rollback, setBodyIndent, setDistanceBetweenStarts, setIsInLabel, setIsInListBody, setIsInTableCell, setLabelSeparation, setLinkSet, setOrphans, setWidows`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Outline

    public Outline(FObj parent,
                   PropertyList propertyList)

Method Detail

### maker

    public static FObj.Maker maker()

### addChild

    protected void addChild(FONode obj)

  Overrides:
    addChild in class FONode

### setRendererObject

    public void setRendererObject(java.lang.Object o)

### getRendererObject

    public java.lang.Object getRendererObject()

### getParentOutline

    public Outline getParentOutline()

### getLabel

    public Label getLabel()

### getOutlines

    public java.util.Vector getOutlines()

### getInternalDestination

    public java.lang.String getInternalDestination()

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.